using System;
class Program
    {
     static void Main()
        {
        string[] br = Console.ReadLine().Split();
        int n = Convert.ToInt32(br[0]);
        int l = Convert.ToInt32(br[1]);
        string[] visine = Console.ReadLine().Split();
        int c = 0;
        foreach (string m in visine)
        {
            int v = Convert.ToInt32(m);
            if (v <= l) { break; }
            else { c++; }

        }
        if (c == n) { Console.WriteLine(-1); }
        else { Console.WriteLine(c + 1); }
        }
    }